(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react);
    global.index = mod.exports;
  }
})(this, function (exports, _react) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var QuickImage = function QuickImage(_ref) {
    var find = _ref.find,
        width = _ref.width,
        height = _ref.height;

    return _react2.default.createElement('img', { className: 'quick-image', src: 'https://source.unsplash.com/random/' + width + 'x' + height + '?' + find, alt: find });
  }; /* eslint-disable indent */


  QuickImage.defaultProps = {
    width: '800',
    height: '600'
  };

  QuickImage.propTypes = {
    find: _react2.default.PropTypes.string,
    width: _react2.default.PropTypes.string,
    height: _react2.default.PropTypes.string
  };

  exports.default = QuickImage;
});